window.Gleam.initSearch([{"doc":"wisp_flash","title":"wisp_flash","content":"# wisp_flash\n\nMiddleware to add flash messages in Wisp\n\n[![Package Version](https://img.shields.io/hexpm/v/wisp_flash)](https://hex.pm/packages/wisp_flash)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/wisp_flash/)\n","url":"index.html"},{"doc":"wisp_flash","title":"get_flash","content":"pub fn get_flash(\n  request: Request(Connection),\n  set_in_context: fn(Option(String), Option(String)) -&gt; a,\n  next: fn(a) -&gt; Response(Body),\n) -&gt; Response(Body)\n Get the flash message and kind.\n This middleware goes around your request.\n This gets the values from the cookies and then deletes them.\n This requires a function to set the flash values in your context.\n After putting these values in the context, you can use them to render alerts in your view.\n\n ## Example\n\n \n let set_in_context = fn(kind: Option(String), message: Option(String)) {\n   Context(..ctx, flash_kind: kind, flash_message: message)\n }\n\n use ctx &lt;- wisp_flash.get_flash(request, set_in_context)\n \nSynonyms:\nwisp_flash.get_flash\nwisp_flash get_flash","url":"wisp_flash.html#get_flash"},{"doc":"wisp_flash","title":"get_flash_in","content":"pub fn get_flash_in(\n  request: Request(Connection),\n) -&gt; #(Option(String), Option(String))\n Just the incoming part of the get_flash around middleware.\n This gives you the values to put in the context.\n\n ## Example\n\n \n let #(kind, message) = wisp_flash.get_flash_in(request)\n \nSynonyms:\nwisp_flash.get_flash_in\nwisp_flash get_flash_in","url":"wisp_flash.html#get_flash_in"},{"doc":"wisp_flash","title":"get_flash_out","content":"pub fn get_flash_out(\n  response: Response(Body),\n  request: Request(Connection),\n) -&gt; Response(Body)\n The outgoing part of the get_flash around middleware.\n This deletes the cookies.\n\n ## Example\n\n \n response |&gt; get_flash_out(request)\n \nSynonyms:\nwisp_flash.get_flash_out\nwisp_flash get_flash_out","url":"wisp_flash.html#get_flash_out"},{"doc":"wisp_flash","title":"set_flash","content":"pub fn set_flash(\n  response response: Response(Body),\n  request request: Request(Connection),\n  kind kind: String,\n  message message: String,\n) -&gt; Response(Body)\n Set a flash message in the session cookie.\n This will store two cookies. One for the message and one for the notification kind.\n\n ## Example\n\n \n wisp.redirect(&quot;/home&quot;)\n |&gt; wisp_flash.set_flash(request, &quot;success&quot;, &quot;Document Saved&quot;)\n \nSynonyms:\nwisp_flash.set_flash\nwisp_flash set_flash","url":"wisp_flash.html#set_flash"},{"doc":"wisp_flash","title":"wisp_flash","content":"","url":"wisp_flash.html"}]);